##
##  libnids.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         libnids
Summary:      Network Intrusion Detection System Library
URL:          http://www.packetfactory.net/Projects/Libnids/
Vendor:       Rafal Wojtczuk
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Network
License:      GPL
Version:      1.17
Release:      20021009

#   list of sources
Source0:      http://www.packetfactory.net/Projects/Libnids/dist/libnids-%{version}rc1.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, libnet, libpcap, make
PreReq:       OpenPKG, openpkg >= 20020206, libnet, libpcap
AutoReq:      no
AutoReqProv:  no

%description
     Libnids is an implementation of an E-component of Network Intrusion
     Detection System. It emulates the IP stack of Linux 2.0.x. Libnids
     offers IP defragmentation, TCP stream assembly and TCP port scan
     detection.

%prep
    %setup -q

%build
    define="LIBNET_LIL_ENDIAN"
    case "%{l_target}" in
        sparc*-* ) define="LIBNET_BIG_ENDIAN" ;;
        *68*-*   ) define="LIBNET_BIG_ENDIAN" ;;
    esac
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O} -D$define" \
    ./configure \
        --prefix=%{l_prefix}
    #   do not use --with-libpcap=%{l_prefix} and
    #   --with-libnet=%{l_prefix} because else it surprisingly searches
    #   the wrong locations. If nothing is specified it searches the
    #   correct locations under --prefix and so %{l_prefix}.
    %{l_make} %{l_mflags}

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_make} %{l_mflags} install install_prefix=$RPM_BUILD_ROOT
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

